Both XP and Vista users will be supported on Slimjet 10 branch

After spending a lot of time trying to get Slimjet 12 compatible with Vista, we have decided to give up on that effort. Although we have managed to get Slimjet 12 to run and browse sites properly under Vista, it is not able to load any plugins under vista, most importantly, the flash plugin. That means you will not be able to watch any videos since Slimjet doesn’t have h.264 codec support on Vista. With the pace the chrome guys at Google is quickly introducing vista-incompatible features and API calls, it will be a losing fight for us to hunt out their changes from the huge code base and find a workaround for each of them.

Therefore, we have decided not to continue Vista support in Slimjet 12. Since it doesn’t make a lot of sense for us to create a separate branch just for Vista users, we have decided to continue both XP and Vista support on the Slimjet 10 branch. Slimjet has the best support of all the legacy features, including Java and NPAPI.

If you are visiting the download page of Slimjet from an XP or Vista PC, you will be automatically redirected to the download page of Slimjet 10. If you do want to try Slimjet 11 or 12 on Vista, you can get it from the Slimjet version archive. Slimjet 11 works just fine on Vista. Slimjet 12 can’t load any pepper plugins on Vista. 

Thanks a lot for your understanding.

3111 Total Views 6 Views Today

5 thoughts on “Both XP and Vista users will be supported on Slimjet 10 branch

    1. stephen.cheng Post author

      Slimjet 10 is supported as well. We just can’t migrate it to the newer version of Chromium.

  1. Michael

    Hi Stephen,

    I use NPAPI quite a lot on an XP computer, therefore Slimjet has been great for me! Thanks so much for your work.

    Do you intend to provide ongoing support on the Slimjet 10 branch in the mid-term?

    Thanks again.

Comments are closed.